{% if grains['os_family'] == 'Windows'%}
{% if not salt['service.available']('Site24x7 Windows Agent') %}
Downlad-agent:
  cmd.run:
    - name: Invoke-WebRequest -Uri "https://staticdownloads.site24x7.com/server/Site24x7WindowsAgent.msi" -OutFile "%TEMP%/Site24x7WindowsAgent.msi"
    - shell: powershell
Install-agent:
  cmd.run:
    {% if pillar['site24x7']['user']['proxy'] == 'None' %}
    - name: Start-Process msiexec.exe -Wait -ArgumentList "/i %TEMP%\Site24x7WindowsAgent.msi /qn REBOOT=ReallySuppress ALLUSERS=1 EDITA1={{ pillar['site24x7']['user']['devicekey'] }} INSTALLATIONTYPE=WinSaltStack"
    - shell: powershell
    {% else %}
    {% if not pillar['site24x7']['user']['proxyusername'] == None %}
    {% if not pillar['site24x7']['user']['proxypassword'] == None %}
    - name: Start-Process msiexec.exe -Wait -ArgumentList "/i %TEMP%\Site24x7WindowsAgent.msi /qn REBOOT=ReallySuppress ALLUSERS=1 EDITA1={{ pillar['site24x7']['user']['devicekey'] }} INSTALLATIONTYPE=WinSaltStack ENABLEPROXY=yes ProxyServerName={{pillar['site24x7']['user']['proxyservername']}} ProxyUserName={{pillar['site24x7']['user']['proxyusername']}} ProxyPassword={{pillar['site24x7']['user']['proxypassword']}} "
    - shell: powershell
    {% else %}
    - name: Start-Process msiexec.exe -Wait -ArgumentList "/i %TEMP%\Site24x7WindowsAgent.msi /qn REBOOT=ReallySuppress ALLUSERS=1 EDITA1={{ pillar['site24x7']['user']['devicekey'] }} INSTALLATIONTYPE=WinSaltStack ENABLEPROXY=yes ProxyServerName={{pillar['site24x7']['user']['proxyservername']}} ProxyUserName={{pillar['site24x7']['user']['proxyusername']}}"
    - shell: powershell
    {% endif %}
    {% else %}
    - name: Start-Process msiexec.exe -Wait -ArgumentList "/i %TEMP%\Site24x7WindowsAgent.msi /qn REBOOT=ReallySuppress ALLUSERS=1 EDITA1={{ pillar['site24x7']['user']['devicekey'] }} INSTALLATIONTYPE=WinSaltStack ENABLEPROXY=yes ProxyServerName={{pillar['site24x7']['user']['proxyservername']}}"
    - shell: powershell
    {% endif %}
    {% endif %}
{% endif %}
{% endif %}